> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Update metadata to an AI contact



## OpenAPI

````yaml /openapi.json post /api/public/contact/{aiContactId}/update-metadata
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/contact/{aiContactId}/update-metadata:
    post:
      tags:
        - Contact
      summary: Update metadata to an AI contact
      operationId: PublicAiContactController_addMetadataToAiContact
      parameters:
        - name: x-api-key
          in: header
          description: API key required to authorize the request
          required: true
          schema:
            type: string
        - name: aiContactId
          required: true
          in: path
          description: ID of the AI contact
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                metadata:
                  type: object
      responses:
        '200':
          description: Metadata added successfully.
        '404':
          description: AI contact not found.

````